--- /dev/null
+include ../../build/config.mk
+include ../../build/module.mk
--- /dev/null
+#!/bin/sh
+[ -n "${IPKG_INSTROOT}" ] || {
+ ( . /etc/uci-defaults/luci-mmc_over_gpio ) && rm -f /etc/uci-defaults/luci-mmc_over_gpio
+}
--- /dev/null
+--[[
+
+LuCI mmc_over_gpio
+(c) 2008 Yanira <forum-2008@email.de>
+
+Licensed under the Apache License, Version 2.0 (the "License");
+you may not use this file except in compliance with the License.
+You may obtain a copy of the License at
+
+ http://www.apache.org/licenses/LICENSE-2.0
+
+$Id$
+
+]]--
+
+module("luci.controller.mmc_over_gpio", package.seeall)
+
+function index()
+ require("luci.i18n")
+ luci.i18n.loadc("mmc_over_gpio")
+ if not luci.fs.isfile("/etc/config/mmc_over_gpio") then
+ return
+ end
+
+ local page = entry({"admin", "system", "mmc_over_gpio"}, cbi("mmc_over_gpio"), luci.i18n.translate("mmc_over_gpio", "mmc_over_gpio"), 60)
+ page.i18n = "mmc_over_gpio"
+ page.dependent = true
+end
--- /dev/null
+mmc_over_gpio = 'MMC/SD Treiberkonfiguration'
+mmc_over_gpio_desc = 'Konfiguriert die Einstellungen des MMC/SD Karten Treibers'
+settings = 'Einstellungen'
--- /dev/null
+<?xml version="1.0" encoding="utf-8"?>
+
+<i18n:msgs xmlns:i18n="http://luci.freifunk-halle.net/2008/i18n#" xmlns="http://www.w3.org/1999/xhtml">
+
+<i18n:msg xml:id="mmc_over_gpio">MMC/SD Treiberkonfiguration</i18n:msg>
+<i18n:msg xml:id="mmc_over_gpio_desc">Konfiguriert die Einstellungen des MMC/SD Karten Treibers</i18n:msg>
+<i18n:msg xml:id="settings">Einstellungen</i18n:msg>
+
+</i18n:msgs>
--- /dev/null
+mmc_over_gpio = 'MMC/SD driver configuration'
+mmc_over_gpio_desc = 'MMC/SD driver configuration'
+settings = 'Settings'
--- /dev/null
+<?xml version="1.0" encoding="utf-8"?>
+
+<i18n:msgs xmlns:i18n="http://luci.freifunk-halle.net/2008/i18n#" xmlns="http://www.w3.org/1999/xhtml">
+
+<i18n:msg xml:id="mmc_over_gpio">MMC/SD driver configuration</i18n:msg>
+<i18n:msg xml:id="mmc_over_gpio_desc">MMC/SD driver configuration</i18n:msg>
+<i18n:msg xml:id="settings">Settings</i18n:msg>
+
+</i18n:msgs>
--- /dev/null
+--[[
+
+LuCI mmc_over_gpio
+(c) 2008 Yanira <forum-2008@email.de>
+
+Licensed under the Apache License, Version 2.0 (the "License");
+you may not use this file except in compliance with the License.
+You may obtain a copy of the License at
+
+ http://www.apache.org/licenses/LICENSE-2.0
+
+$Id$
+
+]]--
+
+m = Map("mmc_over_gpio", translate("mmc_over_gpio"),
+ translate("mmc_over_gpio_desc"))
+
+s = m:section(TypedSection, "mmc_over_gpio", translate("settings"))
+s.addremove = true
+s.anonymous = true
+
+s:option(Flag, "enabled", translate("enabled", "Enable"))
+
+s:option(Value, "name", translate("name"))
+
+pin = s:option(Value, "DI_pin", translate("DI_pin"))
+for i = 0,7 do pin:value(i) end
+
+pin = s:option(Value, "DO_pin", translate("DO_pin"))
+for i = 0,7 do pin:value(i) end
+
+pin = s:option(Value, "CLK_pin", translate("CLK_pin"))
+for i = 0,7 do pin:value(i) end
+
+pin = s:option(Value, "CS_pin", translate("CS_pin"))
+for i = 0,7 do pin:value(i) end
+
+s:option(Value, "mode", translate("mode"))
+
+return m
--- /dev/null
+#!/bin/sh
+
+uci batch <<-EOF
+ add ucitrack mmc_over_gpio
+ set ucitrack.@mmc_over_gpio[-1].init=mmc_over_gpio
+ commit ucitrack
+EOF